<div class="dropdown__container">
  <button
    type="button"
    class="dropdown"
    [class.dropdown--opened]="isDropdownOpen"
    (click)="toggleDropdown($event)"
    (keyup.escape)="closesDropDown(); $event.stopPropagation(); $event.target.blur()"
  >
    <span class="dropdown__selected-value"> {{ selectedOptionValue?.label }} </span>
  </button>
  <div *ngIf="isDropdownOpen" class="dropdown__divider"></div>
  <div
    class="dropdown__content"
    [class.dropdown__content--visible]="isDropdownOpen"
  >
    <a
      class="dropdown__item"
      [class.dropdown__item--active]="option.value === selectedOptionValue?.value"
      *ngFor="let option of options; let idx = index; trackBy: trackByFn"
      (click)="changeSelectedOption(option.value)"
    >
      <span> {{ option.label }} </span>
    </a>
  </div>
</div>
